oracle.xml.xquery

## Class OXQView

- java.lang.Object
- - oracle.xml.xquery.OXQView

    public final class OXQView
    extends java.lang.Object

This class provides methods to access Oracle's XQJ extensions (OXQJ) and extensions to other classes returned by the XQJ implementation.

OXQJ extension classes are named after their XQJ counterparts as follows:

XQJ Interface | OXQJ Extension | Accessor Method (XQ to OXQ) | Inverse Accessor Method (OXQ to XQ)
`XQConnection` | `OXQConnection` | `getConnection(XQConnection)` | `OXQConnection.getXQView()`
`XQDataFactory` | `OXQDataFactory` | `getDataFactory(XQDataFactory)` | `OXQDataFactory.getXQView()`
`XQDynamicContext` | `OXQDynamicContext` | `getDynamicContext(XQDynamicContext)` | `OXQDynamicContext.getXQView()`
`XQExpression` | `OXQExpression` | `getExpression(XQExpression)` | `OXQExpression.getXQView()`
`XQItem` | `OXQItem` | `getItem(XQItem)` | `OXQItem.getXQView()`
`XQItemAccessor` | `OXQItemAccessor` | `getItemAccessor(XQItemAccessor)` | `OXQItemAccessor.getXQView()`
`XQPreparedExpression` | `OXQPreparedExpression` | `getPreparedExpression(XQPreparedExpression)` | `OXQPreparedExpression.getXQView()`
`XQSequence` | `OXQSequence` | `getSequence(XQSequence)` | `OXQSequence.getXQView()`
`XQStaticContext` | `OXQStaticContext` | `getStaticContext(XQStaticContext)` | `OXQStaticContext.getXQView()`
`XQStackTraceElement` | `OXQStackTraceElement` | `getStackTraceElement(XQStackTraceElement)` | `OXQStackTraceElement.getXQView()`
`XQStackTraceVariable` | `OXQStackTraceVariable` | `getStackTraceVariable(XQStackTraceVariable)` | `OXQStackTraceVariable.getXQView()`

Accessor methods return an OXQJ view over an XQJ object. Reverse navigation (OXQJ->XQJ) is provided by the `getXQView()` method of each OXQJ interface.

In addition to XQJ API extensions, this class also provides access to the `OXQCloseable` extension of an `InputStream` instance returned by `OXQItemAccessor.getItemAsInputStream(Properties)` and an `XMLStreamReader` instance returned by `XQItemAccessor.getItemAsStream()`.

Since:
  12.1

### Nested Class Summary

Nested Classes
`static interface` `OXQView.OXQViewAccessor` Generic interface implemented by all XQJ objects which are capable of providing an OXQJ view.

### Method Summary

All Methods Static Methods Concrete Methods
`static OXQCloseable` `getCloseable(java.io.InputStream inputStream)` Provides the OXQJ view of the closeable object.
`static OXQCloseable` `getCloseable(javax.xml.stream.XMLStreamReader reader)` Provides the OXQJ view of the closeable object.
`static OXQCloseable` `getCloseable(XQSequence sequence)` Provides the OXQJ view of the closeable object.
`static OXQConnection` `getConnection(XQConnection connection)` Provides the OXQJ view of the `XQConnection` object.
`static OXQDataFactory` `getDataFactory(XQDataFactory dataFactory)` Provides the OXQJ view of the `XQDataFactory` object.
`static OXQDynamicContext` `getDynamicContext(XQDynamicContext dynamicContext)` Provides the OXQJ view of the `XQDynamicContext` object.
`static OXQExpression` `getExpression(XQExpression expression)` Provides the OXQJ view of the `XQExpression` object.
`static OXQItem` `getItem(XQItem item)` Provides the OXQJ view of the `XQItem` object.
`static OXQItemAccessor` `getItemAccessor(XQItemAccessor itemAccessor)` Provides the OXQJ view of the `XQItemAccessor` object.
`static OXQPreparedExpression` `getPreparedExpression(XQPreparedExpression preparedExpression)` Provides the OXQJ view of the `XQPreparedExpression` object.
`static OXQSequence` `getSequence(XQSequence sequence)` Provides the OXQJ view of the `XQSequence` object.
`static OXQStackTraceElement` `getStackTraceElement(XQStackTraceElement element)` Provides the OXQJ view of the `XQStackTraceElement` object.
`static OXQStackTraceVariable` `getStackTraceVariable(XQStackTraceVariable variable)` Provides the OXQJ view of the `XQStackTraceVariable` object.
`static OXQStaticContext` `getStaticContext(XQStaticContext staticContext)` Provides the OXQJ view of the `XQStaticContext` object.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getConnection

    public static OXQConnection getConnection(XQConnection connection)

Provides the OXQJ view of the `XQConnection` object.

Parameters:
  `connection` - `XQConnection` instance constructed by `OXQDataSource`
Returns:
  view object implementing `OXQConnection` interface

#### getDataFactory

    public static OXQDataFactory getDataFactory(XQDataFactory dataFactory)

Provides the OXQJ view of the `XQDataFactory` object.

Parameters:
  `dataFactory` - `XQDataFactory` instance constructed by `OXQDataSource`
Returns:
  view object implementing `OXQDataFactory` interface

#### getDynamicContext

    public static OXQDynamicContext getDynamicContext(XQDynamicContext dynamicContext)

Provides the OXQJ view of the `XQDynamicContext` object.

Parameters:
  `dynamicContext` - `XQDynamicContext` instance originated from `OXQDataSource`
Returns:
  view object implementing `OXQDynamicContext` interface

#### getExpression

    public static OXQExpression getExpression(XQExpression expression)

Provides the OXQJ view of the `XQExpression` object.

Parameters:
  `expression` - `XQExpression` instance originated from `OXQDataSource`
Returns:
  view object implementing `OXQExpression` interface

#### getItem

    public static OXQItem getItem(XQItem item)

Provides the OXQJ view of the `XQItem` object.

Parameters:
  `item` - `XQItem` instance originated from `OXQDataSource`
Returns:
  view object implementing `OXQItem` interface

#### getItemAccessor

    public static OXQItemAccessor getItemAccessor(XQItemAccessor itemAccessor)

Provides the OXQJ view of the `XQItemAccessor` object.

Parameters:
  `itemAccessor` - `XQItemAccessor` instance originated from `OXQDataSource`
Returns:
  view object implementing `OXQItemAccessor` interface

#### getPreparedExpression

    public static OXQPreparedExpression getPreparedExpression(XQPreparedExpression preparedExpression)

Provides the OXQJ view of the `XQPreparedExpression` object.

Parameters:
  `preparedExpression` - `XQPreparedExpression` instance originated from `OXQDataSource`
Returns:
  view object implementing `OXQPreparedExpression` interface

#### getSequence

    public static OXQSequence getSequence(XQSequence sequence)

Provides the OXQJ view of the `XQSequence` object.

Parameters:
  `sequence` - `XQSequence` instance originated from `OXQDataSource`
Returns:
  view object implementing `OXQSequence` interface

#### getStaticContext

    public static OXQStaticContext getStaticContext(XQStaticContext staticContext)

Provides the OXQJ view of the `XQStaticContext` object.

Parameters:
  `staticContext` - `XQStaticContext` instance originated from `OXQDataSource`
Returns:
  view object implementing `OXQStaticContext` interface

#### getStackTraceElement

    public static OXQStackTraceElement getStackTraceElement(XQStackTraceElement element)

Provides the OXQJ view of the `XQStackTraceElement` object. This method only applies to `XQStackTraceElement` instances exposed by `OXQDebugListener`.

Parameters:
  `element` - `XQStackTraceElement` passed to one of the `OXQDebugListener` methods
Returns:
  view object implementing `OXQStackTraceElement` interface

#### getStackTraceVariable

    public static OXQStackTraceVariable getStackTraceVariable(XQStackTraceVariable variable)

Provides the OXQJ view of the `XQStackTraceVariable` object. This method only applies to `XQStackTraceVariable` instances from `XQStackTraceElement`s exposed by `OXQDebugListener`.

Parameters:
  `variable` - `XQStackTraceVariable` passed to one of the `OXQDebugListener` methods
Returns:
  view object implementing `OXQStackTraceVariable` interface

#### getCloseable

    public static OXQCloseable getCloseable(XQSequence sequence)

Provides the OXQJ view of the closeable object.

Parameters:
  `sequence` - `XQSequence` instance originated from `OXQDataSource`
Returns:
  view object implementing `OXQCloseable` interface.

#### getCloseable

    public static OXQCloseable getCloseable(javax.xml.stream.XMLStreamReader reader)

Provides the OXQJ view of the closeable object.

Parameters:
  `reader` - `XMLStreamReader` constructed by `XQItemAccessor.getItemAsStream()`
Returns:
  view object implementing `OXQCloseable` interface

#### getCloseable

    public static OXQCloseable getCloseable(java.io.InputStream inputStream)

Provides the OXQJ view of the closeable object.

Parameters:
  `inputStream` - `InputStream` constructed by `OXQItemAccessor.getItemAsInputStream(Properties)`
Returns:
  view object implementing `OXQCloseable` interface

Copyright © 2003, 2020, Oracle and/or its affiliates.